<template>
  <v-col cols="12" md="4">
    <div id="MealCard" class="md:flex">
      <div id="MealImage" class="md:flex-shrink-0">
        <v-img class="rounded-lg md:w-56" :src="meal.img" :alt="meal.alt" />
      </div>
      <v-row>
        <v-col cols="9">
          <div id="mealInformation" class="mt-4 md:mt-0 md:ml-6">
            <div
              class="uppercase tracking-wide text-sm text-indigo-600 font-bold"
            >
              {{ meal.name }}
            </div>
            <p class="mt-2 text-gray-600">
              {{ meal.description }}
            </p>
          </div>
        </v-col>
        <v-col cols="3">
          <v-card-subtitle>
            {{ '$' + meal.price }}
            <br />
            Qty: {{ meal.quantity }}
          </v-card-subtitle>
        </v-col>
      </v-row>
      <v-row
        ><v-col class="text-center">
          <div class="my-2">
            <v-btn color="success" small dark @click="AddItemToCart(meal)">
              Add to cart
            </v-btn>
          </div>
        </v-col></v-row
      >
    </div>
  </v-col>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  name: 'MealsCard',
  props: {
    meal: {
      type: Object,
      required: true,
    },
  },
  methods: {
    AddItemToCart(meal: any): void {
      this.$store.commit('cart/add', meal)
    },
  },
})
</script>
